<?php
   $target='guia';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/mensajeros.php"); 
   
   $nombrepagina = "CAMBIAR ZONA URBANA";
   encabezado($target); 
   $user=$_SESSION['validar'];
	 $filas=1;   
      if($filas == 1)
	{ 
	 class llamado{
	 var $menuObj;
	      function validar1($id_user,$id_sucursal){
	 			  $this->menuObj=new menu_inicio();
				  $this->menuObj->menu2($id_user,$id_sucursal);
	  	  }
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
class obtiene{
		var $userObj;
		function obtener($perfil){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
		}
}
$eliminaObj=new obtiene();
$eliminaObj->obtener($suc);
$tabla=$_SESSION['tabla_guia'];
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="335" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Cambiar Zona Urbana ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Zona Urbana:
</td>
<td width="200" class="miTable_td">
<select name="zona" class="inputbox" style="width:30em;">
<?
get_zonau($_GET['suc'],$_POST['zona']);
?>
</select>
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Guia No:
</td>
<td width="200" class="miTable_td">
<input type="text" name="guia" class="inputbox" tabindex="1">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Cambiar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
if(isset($Registrar)){
class cambiarZona{
	var $crearObj;
	var $conexionObj;
	var $estado;
	function validar($guia,$tabla,$zona){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_select=$this->conexionObj->consultar("SELECT guia FROM $tabla WHERE guia = '$guia'");
			$var=mysql_num_rows($rst_select);
			if($var>=1){
				$rst_zona=$this->conexionObj->consultar("SELECT nom_zona FROM zonas_urbanas WHERE cod_zona = '$zona'");
				$row_zona=mysql_fetch_array($rst_zona);
				$rst_select=$this->conexionObj->consultar("UPDATE $tabla SET cod_zona='$zona', nom_zona='".$row_zona[0]."' WHERE guia = '$guia'");
				$affected=mysql_affected_rows();
				if($affected==0){
					$result="<font color='#C90808'>NO SE ACTUALIZO REGISTRO GUIA # $guia</font>";
				}else{
					$result="<font color='#64870F'>SE ACTUALIZO LA ZONA ".strtoupper($zona)." DE LA GUIA # $guia</font>";
				}
			}else{
				$result="<font color='#C90808'>LA GUIA # $guia NO EXISTE EN EL SISTEMA</font>";
			}
			echo '<center><table width="335" border="0" class="primaria"><tr class=miTable_tr>
			<td class=miTable_td><div align="center">
			..:: <b>'.$result.'</b> ::..</div></td></tr>';
			echo '</table></center></br>';
	}
	
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$cambiarZonaObj=new cambiarZona();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$cambiarZonaObj->validar($_POST['guia'],$_POST['tabla'],$_POST['zona']);
}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>